package com.jeeplus.test.wdt.disposeRubbish.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.test.oss.domain.WorkAttachment;
import com.jeeplus.test.oss.domain.WorkAttachmentInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author: 徐滕
 * @version: 2024-09-02 09:50
 */
@TableName("dispose_rubbish")
@ApiModel(value = "DisposeRubbish对象", description = "垃圾清运工单")
@Data
public class DisposeRubbish extends BaseEntity implements Serializable {


    private static final long serialVersionUID = 1L;
    /**
     * 流程实例ID
     */
    private String procInsId;

    @ApiModelProperty("简介")
    private String remarks;

    @ApiModelProperty("清运编号")
    private String no;

    @ApiModelProperty("处理单位")
    private String processingUnit;

    @ApiModelProperty("处理状态")
    private String status;

    @ApiModelProperty("清运专员")
    private String clearUserId;

    @ApiModelProperty("清运专员名称")
    @TableField(exist = false)
    private String clearUserName;

    @ApiModelProperty("联系方式")
    @TableField(exist = false)
    private String clearUserMobile;

    @TableField(exist = false)
    @ApiModelProperty("处理单位名称")
    private String processingUnitName;

    @ApiModelProperty("处理方式")
    private String disposeType;

    @ApiModelProperty("垃圾站点")
    private String rubbishStation;

    @TableField(exist = false)
    @ApiModelProperty("关联的巡查id")
    private List<String> programIds;

    @ApiModelProperty("关联的巡查id")
    private String programId;

    @ApiModelProperty("重量（t）")
    private String weight;

    @ApiModelProperty("运输里程（km）")
    private String transportMileage;

    @ApiModelProperty("补贴（元）")
    private String subsidy;

    @ApiModelProperty("处理年份")
    private Integer year;

    @ApiModelProperty("处理编号")
    private Integer number;

    //清理前照片
    @TableField(exist = false)
    List<WorkAttachment> fileList1;

    //清理中照片
    @TableField(exist = false)
    List<WorkAttachment> fileList2;

    //清理后照片
    @TableField(exist = false)
    List<WorkAttachment> fileList3;

    //过磅现场照片
    @TableField(exist = false)
    List<WorkAttachment> fileList4;

    //关联的巡查单据
    @TableField(exist = false)
    List<WorkOverNo> workOverNoList;
}
